# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stackify_apm/version'

Gem::Specification.new do |spec|
  spec.name          = 'stackify-ruby-apm'
  spec.version       = StackifyRubyAPM::VERSION
  spec.authors       = ['Stackify']
  spec.email         = ['support@stackify.com']
  spec.summary       = 'Stackify APM for Ruby'
  spec.homepage      = 'http://www.stackify.com'
  spec.license       = 'Stackify'

  git_tracked_files = `git ls-files -z`.split("\x0")
  gem_ignored_files = `git ls-files -i -X .gemignore -z`.split("\x0")
  spec.files = git_tracked_files - gem_ignored_files

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  # rails
  if RUBY_VERSION > '2.5'
    spec.add_development_dependency  'rails', '~> 5.0'
  else
    spec.add_development_dependency  'rails', '~> 4.0'
  end

  # bigdecimal
  if RUBY_VERSION > '2.5'
    spec.add_development_dependency  'bigdecimal'
  end

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'activerecord'
  spec.add_development_dependency 'curb', '0.9.8'
  spec.add_development_dependency 'fakeredis'
  spec.add_development_dependency 'http'
  spec.add_development_dependency 'httpclient'
  spec.add_development_dependency 'mongo'
  spec.add_development_dependency 'mysql2'
  spec.add_development_dependency 'pg', '~> 0.20'
  spec.add_development_dependency 'rack-test'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'sequel'
  spec.add_development_dependency 'sinatra'
  spec.add_development_dependency 'sinatra-activerecord'
  spec.add_development_dependency 'sqlite3', '1.3.13'
  spec.add_development_dependency 'stackify-api-ruby'
  spec.add_development_dependency 'timecop'
  spec.add_development_dependency 'to_bool'
  spec.add_development_dependency 'webmock'
  spec.add_development_dependency 'delayed_job'

  spec.add_dependency('concurrent-ruby', '~> 1.0')
  spec.add_dependency('delegate_matcher', '~> 0.4')
  spec.add_dependency('faraday', '~> 0.8')
  spec.add_dependency('net_http_unix', '~> 0.2')
  spec.add_dependency('rufus-scheduler', '~> 3.0')
end
